(function ($, Drupal, once) {
  Drupal.behaviors.time_clockBehavior = {
    attach: function (context, settings) {
      let digiClock = document.querySelector("#dynamic_time");

      function digitalClock(){
        let timezone = settings.timezone;
        let timeformat = (settings.timeformat == 1) ? false : true;
        let today = new Date();
        today = today.toLocaleString("en-US", {timeZone:timezone, hour12:timeformat});
        today = today.split(',');
        return $.trim(today[1]);
      }

      function timeClock(){
        digiClock.innerText = digitalClock();
      }
      setInterval(timeClock, 1000);
    }
  };
}) (jQuery, Drupal, once);